$(document).ready(function() {

	$('#tab_progetti').DataTable({
		"responsive": true,
        columnDefs: [
            {
                target: 1,
                render: DataTable.render.date(),
            }
        ],
		"order": [[1, "desc"]]
	});
});

$(document).on('click', '.open_modal_new', function() {
	// var riga_id = $(this).val();
	console.log('cliccato');
	$('#form').find('input[type="text"], textarea, input[type="number"],input[type="date"]').val("");
	$('#myModal_new').modal('show');
	$('#form_new').attr('action', 'progetti/new');
});

$(document).on('click', '.open_modal_edit', function() 
	{
		var riga_id = $(this).val();
		// console.log('cliccato');
		$('#form_new').find('input[type="text"], textarea, input[type="number"],input[type="date"]').val("");
		
		$.getJSON("/admin/progetti/getProgettoById?id="+riga_id, {}, function(progetto) {
			$('.modal-title').text('Modifica Progetto');
			$('#nome').val(progetto[0].nome);
			//$('#coordinatore').val(progetto[0].coordinatore); 
				// SELECT
			$('#descrizione').val(progetto[0].descrizione);
			$('#budget').val(progetto[0].budget);
			$('#stato option[value='+progetto[0].stato+']').attr('selected','selected');
			$('#data_inizio').val(progetto[0].data_inizio);
			$('#data_fine').val(progetto[0].data_fine);
			$('#note').val(progetto[0].note);
			$('#button_submit').text('Modifica');

			$.getJSON("progetti/coordinatori" , {}, function(coordinatori) {
				$.each(coordinatori, function(i, coordinatore) {
					$("select[name='coordinatore']").append(
						new Option(coordinatore.name, coordinatore.id)
					)
					$('#coordinatore')
						.find('option:contains(' + progetto[0].fk_user + ')')
						.prop('selected', true)
						.trigger('change');
				});
		});
		$('#myModal_new').modal('show');
		$('#form_new').attr('action', '/admin/progetti/modificaProgetto');
		$('#form_new').append('<input type="hidden" name="id" value="' + riga_id + '">');
	});
});



$.getJSON("progetti/coordinatori", {}, function(data) {
	$.each(data, function(i, item) {
		$("select[name='coordinatore']").append(
			new Option(item.name, item.id)
		)
	}
	);
});
